// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassAction.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Module-OIS/oisb/include\OISBAction.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"
#include "EnumBindableType.h"
#include "EnumActionType.h"


// original function: BindableType getBindableType();
void cA_getBindableType_c(struct hg3dclass_struct *classptr_c, enum EnumBindableType * result_c);
// original function: String getBindableName();
void cA_getBindableName_c(struct hg3dclass_struct *classptr_c, char * result_c);
// original function: bool isActive();
void cA_isActive_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: bool hasChanged();
void cA_hasChanged_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: String getFullName();
void cA_getFullName_c(struct hg3dclass_struct *classptr_c, char * result_c);
// original function: ActionType getActionType();
void cA_getActionType_c(struct hg3dclass_struct *classptr_c, enum EnumActionType * result_c);
// original function: Binding* createBinding();
void cA_createBinding_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * result_c);
// original function: void destroyBinding(Binding* binding);
void cA_destroyBinding_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * binding_c);
// original function: void bind(Bindable* bindable);
void cA_bind_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * bindable_c);
// original function: void bind(Bindable* bindable1, Bindable* bindable2);
void cA_bind2_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * bindable1_c, struct hg3dclass_struct * bindable2_c);
// original function: void bind(Bindable* bindable1, Bindable* bindable2, Bindable* bindable3);
void cA_bind3_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * bindable1_c, struct hg3dclass_struct * bindable2_c, struct hg3dclass_struct * bindable3_c);
// original function: void bind(const String& bindable);
void cA_bind4_c(struct hg3dclass_struct *classptr_c, char * bindable_c);
// original function: void bind(const String& bindable1, const String& bindable2);
void cA_bind5_c(struct hg3dclass_struct *classptr_c, char * bindable1_c, char * bindable2_c);
// original function: void bind(const String& bindable, const String& bindable2, const String& bindable3);
void cA_bind6_c(struct hg3dclass_struct *classptr_c, char * bindable_c, char * bindable2_c, char * bindable3_c);
// original function: void process(Real delta);
void cA_process_c(struct hg3dclass_struct *classptr_c, float delta_c);
// original function: void destroyItself();
void cA_destroyItself_c(struct hg3dclass_struct *classptr_c);
