// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassActionSchema.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Module-OIS/oisb/include\OISBActionSchema.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"
#include "EnumActionType.h"


// original function: void setEnabled(bool enabled);
void cAs_setEnabled_c(struct hg3dclass_struct *classptr_c, int enabled_c);
// original function: Action* createAction(ActionType type, const String& name);
void cAs_createAction_c(struct hg3dclass_struct *classptr_c, enum EnumActionType type_c, char * name_c, struct hg3dclass_struct * result_c);
// original function: TriggerAction* createTriggerAction(const String& name);
void cAs_createTriggerAction_c(struct hg3dclass_struct *classptr_c, char * name_c, struct hg3dclass_struct * result_c);
// original function: AnalogAxisAction* createAnalogAxisAction(const String& name);
void cAs_createAnalogAxisAction_c(struct hg3dclass_struct *classptr_c, char * name_c, struct hg3dclass_struct * result_c);
// original function: SequenceAction* createSequenceAction(const String& name);
void cAs_createSequenceAction_c(struct hg3dclass_struct *classptr_c, char * name_c, struct hg3dclass_struct * result_c);
// original function: void destroyAction(const String& name);
void cAs_destroyAction_c(struct hg3dclass_struct *classptr_c, char * name_c);
// original function: void destroyAction(Action* action);
void cAs_destroyAction2_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * action_c);
// original function: Action* getAction(const String& name);
void cAs_getAction_c(struct hg3dclass_struct *classptr_c, char * name_c, struct hg3dclass_struct * result_c);
// original function: bool hasAction(const String& name);
void cAs_hasAction_c(struct hg3dclass_struct *classptr_c, char * name_c, int * result_c);
// original function: void addListenerToAllActions(BindableListener* listener);
void cAs_addListenerToAllActions_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * listener_c);
// original function: void removeListenerFromAllActions(BindableListener* listener);
void cAs_removeListenerFromAllActions_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * listener_c);
// original function: void process(Real delta);
void cAs_process_c(struct hg3dclass_struct *classptr_c, float delta_c);
// original function: void dump();
void cAs_dump_c(struct hg3dclass_struct *classptr_c);
