// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassBinding.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Module-OIS/oisb/include\OISBBinding.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"


// original function: void _setActive(bool active);
void cB__setActive_c(struct hg3dclass_struct *classptr_c, int active_c);
// original function: void bind(Bindable* bindable, const String& role);
void cB_bind_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * bindable_c, char * role_c);
// original function: void bind(const String& bindable, const String& role);
void cB_bind2_c(struct hg3dclass_struct *classptr_c, char * bindable_c, char * role_c);
// original function: void unbind(Bindable* bindable);
void cB_unbind_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * bindable_c);
// original function: void unbind(const String& bindable);
void cB_unbind2_c(struct hg3dclass_struct *classptr_c, char * bindable_c);
// original function: bool isBound(Bindable* bindable);
void cB_isBound_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * bindable_c, int * result_c);
// original function: bool isBound(const String& role);
void cB_isBound2_c(struct hg3dclass_struct *classptr_c, char * role_c, int * result_c);
// original function: Bindable* getBindable(size_t idx);
void cB_getBindable_c(struct hg3dclass_struct *classptr_c, int idx_c, struct hg3dclass_struct * result_c);
// original function: State* getState(size_t idx);
void cB_getState_c(struct hg3dclass_struct *classptr_c, int idx_c, struct hg3dclass_struct * result_c);
// original function: Action* getAction(size_t idx);
void cB_getAction_c(struct hg3dclass_struct *classptr_c, int idx_c, struct hg3dclass_struct * result_c);
// original function: Bindable* getBindable(const String& role);
void cB_getBindable2_c(struct hg3dclass_struct *classptr_c, char * role_c, struct hg3dclass_struct * result_c);
// original function: State* getState(const String& role);
void cB_getState2_c(struct hg3dclass_struct *classptr_c, char * role_c, struct hg3dclass_struct * result_c);
// original function: Action* getAction(const String& role);
void cB_getAction2_c(struct hg3dclass_struct *classptr_c, char * role_c, struct hg3dclass_struct * result_c);
// original function: bool isAnyBindableActive();
void cB_isAnyBindableActive_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: bool areAllBindablesActive();
void cB_areAllBindablesActive_c(struct hg3dclass_struct *classptr_c, int * result_c);
