// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassSystem.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Module-OIS/oisb/include\OISBSystem.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"


// original function: void finalize();
void cSy_finalize_c(struct hg3dclass_struct *classptr_c);
// original function: void process(Real delta);
void cSy_process_c(struct hg3dclass_struct *classptr_c, float delta_c);
// original function: Device* getDevice(const String& name);
void cSy_getDevice_c(struct hg3dclass_struct *classptr_c, char * name_c, struct hg3dclass_struct * result_c);
// original function: bool hasDevice(const String& name);
void cSy_hasDevice_c(struct hg3dclass_struct *classptr_c, char * name_c, int * result_c);
// original function: State* lookupState(const String& name);
void cSy_lookupState_c(struct hg3dclass_struct *classptr_c, char * name_c, struct hg3dclass_struct * result_c);
// original function: ActionSchema* createActionSchema(const String& name, bool setAsDefault);
void cSy_createActionSchema_c(struct hg3dclass_struct *classptr_c, char * name_c, int setAsDefault_c, struct hg3dclass_struct * result_c);
// original function: void destroyActionSchema(const String& name);
void cSy_destroyActionSchema_c(struct hg3dclass_struct *classptr_c, char * name_c);
// original function: void destroyActionSchema(ActionSchema* schema);
void cSy_destroyActionSchema2_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * schema_c);
// original function: ActionSchema* getActionSchema(const String& name);
void cSy_getActionSchema_c(struct hg3dclass_struct *classptr_c, char * name_c, struct hg3dclass_struct * result_c);
// original function: bool hasActionSchema(const String& name);
void cSy_hasActionSchema_c(struct hg3dclass_struct *classptr_c, char * name_c, int * result_c);
// original function: void setDefaultActionSchema(ActionSchema* schema);
void cSy_setDefaultActionSchema_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * schema_c);
// original function: void setDefaultActionSchema(const String& name);
void cSy_setDefaultActionSchema2_c(struct hg3dclass_struct *classptr_c, char * name_c);
// original function: ActionSchema* getDefaultActionSchemaAutoCreate();
void cSy_getDefaultActionSchemaAutoCreate_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * result_c);
// original function: Action* lookupAction(const String& name, bool throwOnMissing);
void cSy_lookupAction_c(struct hg3dclass_struct *classptr_c, char * name_c, int throwOnMissing_c, struct hg3dclass_struct * result_c);
// original function: Bindable* lookupBindable(const String& name);
void cSy_lookupBindable_c(struct hg3dclass_struct *classptr_c, char * name_c, struct hg3dclass_struct * result_c);
// original function: void addListenerToAllStates(BindableListener* listener);
void cSy_addListenerToAllStates_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * listener_c);
// original function: void removeListenerFromAllStates(BindableListener* listener);
void cSy_removeListenerFromAllStates_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * listener_c);
// original function: void addListenerToAllActions(BindableListener* listener);
void cSy_addListenerToAllActions_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * listener_c);
// original function: void removeListenerFromAllActions(BindableListener* listener);
void cSy_removeListenerFromAllActions_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * listener_c);
// original function: void addListenerToAllBindables(BindableListener* listener);
void cSy_addListenerToAllBindables_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * listener_c);
// original function: void removeListenerFromAllBindables(BindableListener* listener);
void cSy_removeListenerFromAllBindables_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * listener_c);
// original function: int loadActionSchemaFromXML(const char * xmlContent);
void cSy_loadActionSchemaFromXML_c(struct hg3dclass_struct *classptr_c, char* xmlContent_c, int * result_c);
// original function: int loadActionSchemaFromXMLFile(const String& filename);
void cSy_loadActionSchemaFromXMLFile_c(struct hg3dclass_struct *classptr_c, char * filename_c, int * result_c);
// original function: void dumpDevices();
void cSy_dumpDevices_c(struct hg3dclass_struct *classptr_c);
// original function: void dumpActionSchemas();
void cSy_dumpActionSchemas_c(struct hg3dclass_struct *classptr_c);
// created singleton getSingletonPtr function
void cSy_getSingletonPtr_c(struct hg3dclass_struct *result_c);
