// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// EnumActionType.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Module-OIS/oisb/include\OISBAction.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"



//  enum from Module-OIS/oisb/include\OISBAction.h line:33
    enum EnumActionType
    {
        /// simplest form of action, all active states in at least one binding activate this
        AT_TRIGGER,
        /// "iddqd" type of action, you have to activate and deactivate all the states in the binding in a sequence
        AT_SEQUENCE,

        /// analog action, contains one floating point number (e.g. steering)
        AT_ANALOG_AXIS
    };
